	.386
	.model	use32 small

	extrn	allerrl : PROC
	public	_asinl
	.data
nm	db	"asinl",0

	.code
_asinl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	tbyte ptr [ecx]
	fld	st(0)
	fmulp	st(1)
	fld1
	fxch	st(1)
	fsub	st(1),st(0)
	fsqrt
	fld	tbyte ptr [ecx]
	fxch
	fdiv	st(1),st(0)
	fld1
	fpatan
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end